Subject: Re: bug#64519: [PATCH] gnu: Add freetype-brotli.
From: John Kehayias <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Jul 2023 15:12:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, Jul 14, 2023 at 03:25 PM, Ludovic Courtès wrote:

> Hi,
>
> John Kehayias <[email-masked]> skribis:
>
[snip]
>> Actually I think our freetype package should do that as well, but
>> since has nearly 18k dependents that should be grouped with other
>> large changes. I brought this up on guix-devel [0] but didn't get
>> any responses about this change. I think it is not controversial,
>> just how to manage the rebuilds. Perhaps on the next mesa/related
>> branch?
>
> Yes, you should check on IRC or guix-devel whether this change can be
> piggybacked on an existing mass-rebuild branch.
>

I'll see what is next. mesa-updates is built, but if that needs a
rebuild or other updates I can put it there. Otherwise the next large
branch job.

>> From f5622c12a84d208efefc53af88fe5f284485f2ff Mon Sep 17 00:00:00 2001
>> Message-Id:
>> <f5622[email-masked]>
>> From: John Kehayias <[email-masked]>
>> Date: Fri, 7 Jul 2023 12:05:16 -0400
>> Subject: [PATCH] gnu: Add freetype-brotli.
>>
>> * gnu/packages/fontutils.scm (freetype-brotli): New variable.
>
> [...]
>
>> +(define-public freetype-brotli
>> +  (package
>> +    (inherit freetype)
>> +    (name "freetype-brotli")
>
> Maybe ‘freetype-with-brotli’ as you suggested.   Also please add a TODO
> about the eventual merge of this into ‘freetype’.
>

Done.

Pushed as 49b0a5ee5f908d8efa8e792f8635f723fd1d26ed and 09e73683a2c303016fa57bf5d84a8e997d4c0a30

Thanks!
John